commit:     1c1cdc8aacaf2fd38d081238b87442247fe99e4e
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 30 11:12:53 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jun 30 11:13:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c1cdc8a

games-arcade/grande-KXL: Fix botched games.eclass conversion

* The games.eclass conversion was broken from the start
  in commit b4a70d4715f7.

Closes: https://bugs.gentoo.org/653402
Package-Manager: Portage-2.3.41, Repoman-2.3.9

 .../grande-KXL/files/grande-KXL-0.6-cflags.patch         |  4 ++--
 .../grande-KXL/files/grande-KXL-0.6-configure.in.patch   |  4 ++--
 games-arcade/grande-KXL/grande-KXL-0.6-r1.ebuild         | 16 +++++++++++-----
 3 files changed, 15 insertions(+), 9 deletions(-)

diff --git a/games-arcade/grande-KXL/files/grande-KXL-0.6-cflags.patch 
b/games-arcade/grande-KXL/files/grande-KXL-0.6-cflags.patch
index ff51e562bcb..94f6ce759b7 100644
--- a/games-arcade/grande-KXL/files/grande-KXL-0.6-cflags.patch
+++ b/games-arcade/grande-KXL/files/grande-KXL-0.6-cflags.patch
@@ -4,8 +4,8 @@ Subject: build system
 
 respect CFLAGS
 
---- src/Makefile.am
-+++ src/Makefile.am
+--- a/src/Makefile.am
++++ b/src/Makefile.am
 @@ -8,7 +8,7 @@
  
  SUBDIRS = bmp wav stg

diff --git a/games-arcade/grande-KXL/files/grande-KXL-0.6-configure.in.patch 
b/games-arcade/grande-KXL/files/grande-KXL-0.6-configure.in.patch
index 80cdcd83b89..19fec93f61a 100644
--- a/games-arcade/grande-KXL/files/grande-KXL-0.6-configure.in.patch
+++ b/games-arcade/grande-KXL/files/grande-KXL-0.6-configure.in.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
 @@ -17,12 +17,8 @@
  AC_CHECK_HEADERS(unistd.h)
  

diff --git a/games-arcade/grande-KXL/grande-KXL-0.6-r1.ebuild 
b/games-arcade/grande-KXL/grande-KXL-0.6-r1.ebuild
index b256aa38420..899a615e652 100644
--- a/games-arcade/grande-KXL/grande-KXL-0.6-r1.ebuild
+++ b/games-arcade/grande-KXL/grande-KXL-0.6-r1.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
+
 inherit autotools desktop
 
 DESCRIPTION="ZANAC type game"
@@ -15,20 +16,25 @@ IUSE=""
 
 DEPEND="dev-games/KXL"
 RDEPEND="${DEPEND}
-       media-fonts/font-adobe-100dpi
-"
+       media-fonts/font-adobe-100dpi"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-configure.in.patch
+       "${FILESDIR}"/${P}-cflags.patch
+)
 
 src_prepare() {
        default
-       eapply "${FILESDIR}"/${P}-{configure.in,cflags}.patch
-       mv configure.{in,ac}
-       rm aclocal.m4
+
+       mv configure.{in,ac} || die
+       rm aclocal.m4 || die
        eautoreconf
 }
 
 src_install() {
        dodir /var/lib
        default
+
        newicon src/bmp/boss1.bmp ${PN}.bmp
        make_desktop_entry grande Grande /usr/share/pixmaps/${PN}.bmp
 }

Reply via email to